Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Trader_Components< IF > Class Template Reference

`#include <Trader_T.h>`

Inheritance diagram for TAO_Trader_Components< IF >:

[legend]
Collaboration diagram for TAO_Trader_Components< IF >:

[legend]
List of all members.

## Public Methods
| TAO_Trader_Components (const TAO_Trading_Components_i &comps)
virtual CosTrading::Lookup_ptr | lookup_if (ACE_ENV_SINGLE_ARG_DECL_NOT_USED) throw (CORBA::SystemException)
virtual CosTrading::Register_ptr | register_if (ACE_ENV_SINGLE_ARG_DECL_NOT_USED) throw (CORBA::SystemException)
virtual CosTrading::Link_ptr | link_if (ACE_ENV_SINGLE_ARG_DECL_NOT_USED) throw (CORBA::SystemException)
virtual CosTrading::Proxy_ptr | proxy_if (ACE_ENV_SINGLE_ARG_DECL_NOT_USED) throw (CORBA::SystemException)
virtual CosTrading::Admin_ptr | admin_if (ACE_ENV_SINGLE_ARG_DECL_NOT_USED) throw (CORBA::SystemException)
## Private Attributes
const TAO_Trading_Components_i & | comps_

### template<class IF>
class TAO_Trader_Components< IF >

## Constructor & Destructor Documentation

template<class IF>
TAO_Trader_Components< IF >::TAO_Trader_Components | ( | const TAO_Trading_Components_i & | comps | ) |

## Member Function Documentation

template<class IF>
CosTrading::Admin_ptr TAO_Trader_Components< IF >::admin_if | ( | ACE_ENV_SINGLE_ARG_DECL_NOT_USED |  | ) | throw (CORBA::SystemException)`[virtual]`

| Returns object reference for the Admin interface of the trader. Returns nil if the trader does not support Admin interface.

template<class IF>
CosTrading::Link_ptr TAO_Trader_Components< IF >::link_if | ( | ACE_ENV_SINGLE_ARG_DECL_NOT_USED |  | ) | throw (CORBA::SystemException)`[virtual]`

| Returns object reference for the Link interface of the trader. Returns nil if the trader does not support Link interface.

template<class IF>
CosTrading::Lookup_ptr TAO_Trader_Components< IF >::lookup_if | ( | ACE_ENV_SINGLE_ARG_DECL_NOT_USED |  | ) | throw (CORBA::SystemException)`[virtual]`

| Returns an object reference to the Lookup interface of the trader. Returns nil if the trader does not support Lookup interface.

template<class IF>
CosTrading::Proxy_ptr TAO_Trader_Components< IF >::proxy_if | ( | ACE_ENV_SINGLE_ARG_DECL_NOT_USED |  | ) | throw (CORBA::SystemException)`[virtual]`

| Returns object reference to the Proxy interface of the trader. Returns nil if the trader does not support Proxy interface.

template<class IF>
CosTrading::Register_ptr TAO_Trader_Components< IF >::register_if | ( | ACE_ENV_SINGLE_ARG_DECL_NOT_USED |  | ) | throw (CORBA::SystemException)`[virtual]`

| Returns object reference for the Register interface of the trader. Returns nil if the trader does not support Register interface.

## Member Data Documentation

template<class IF>
const TAO_Trading_Components_i& TAO_Trader_Components< IF >::comps_`[private]`

The documentation for this class was generated from the following files:

- Trader_T.h
- Trader_T.cpp